## HippoCanvasImageButton

HippoCanvasImageButton

## Synopsis

    #include <hippo/hippo-canvas-image-button.h>

                        HippoCanvasImageButton;
    HippoCanvasItem*    hippo_canvas_image_button_new       (void);

## Object Hierarchy

      GObject
       +----HippoCanvasBox
             +----HippoCanvasImage
                   +----HippoCanvasImageButton

## Implemented Interfaces

HippoCanvasImageButton implements HippoCanvasItem, HippoCanvasContext and HippoCanvasContainer.

## Properties

      "normal-image"             HippoCairoSurface*    : Read / Write
      "normal-image-name"        gchar*                : Read / Write
      "prelight-image"           HippoCairoSurface*    : Read / Write
      "prelight-image-name"      gchar*                : Read / Write

## Description

## Details

### HippoCanvasImageButton

    typedef struct _HippoCanvasImageButton HippoCanvasImageButton;

### hippo_canvas_image_button_new ()

    HippoCanvasItem*    hippo_canvas_image_button_new       (void);

Returns : |

## Property Details

### The `"normal-image"` property

      "normal-image"             HippoCairoSurface*    : Read / Write

normal image as cairo_surface_t.

### The `"normal-image-name"` property

      "normal-image-name"        gchar*                : Read / Write

Name of normal image to be loaded into the item.

Default value: NULL

### The `"prelight-image"` property

      "prelight-image"           HippoCairoSurface*    : Read / Write

prelight image as cairo_surface_t.

### The `"prelight-image-name"` property

      "prelight-image-name"      gchar*                : Read / Write

Name of prelight image to be loaded into the item.

Default value: NULL